import type { Tag } from '@malloydata/malloy-tag';
import type { StyleDefaults } from './data_styles';
import type { Renderer } from './renderer';
import type { RendererOptions } from './renderer_types';
import type * as Malloy from '@malloydata/malloy-interfaces';
import type { Cell, Field } from '../data_tree';
import { Result } from '@malloydata/malloy';
export declare class HTMLView {
    private document;
    constructor(document: Document);
    render(result: Result | Malloy.Result, options: RendererOptions): Promise<HTMLElement>;
}
export declare class JSONView {
    private document;
    constructor(document: Document);
    render(table: Cell): Promise<HTMLElement>;
}
export declare function makeRenderer(field: Field, document: Document, options: RendererOptions, styleDefaults: StyleDefaults, queryTimezone: string | undefined, tagged: Tag): Renderer;
